Subject: Re: [PATCH v17 bpf-next 12/23] bpf: add multi-buff support to the bpf_xdp_adjust_tail() API

From: Lorenzo Bianconi <[email-masked]>
Date: Tue, 9 Nov 2021 22:58:11 +0100

> On Mon, 8 Nov 2021 20:06:39 +0100 Lorenzo Bianconi wrote:
> > > Not sure I get what the issue is with this either? But having a test
> > > that can be run to validate this on hardware would be great in any case,
> > > I suppose - we've been discussing more general "compliance tests" for
> > > XDP before...  
> > 
> > what about option 2? We can add a frag_size field to rxq [0] that is set by
> > the driver initializing the xdp_buff. frag_size set to 0 means we can use
> > all the buffer.
> 
> So 0 would mean xdp->frame_sz can be used for extending frags?
> 
> I was expecting that we'd used rxq->frag_size in place of xdp->frame_sz.
> 
> For devices doing payload packing we will not be able to extend the
> last frag at all. Wouldn't it be better to keep 0 for the case where
> extending is not allowed?

ack, I am fine with it. I will integrate it in v18. Thanks.

Regards,
Lorenzo